%global momorel 1

Summary: C library to access data on a CDDB server (freedb.org)
Name:	 libcddb
Version: 1.3.0
Release: %{momorel}m%{?dist}
License: LGPL
Group:	 System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 e4a7f9579956c32b7f300eb12e9ea6df
URL:	  http://libcddb.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
 Libcddb is a C library to access data on a CDDB server (freedb.org). It allows you to:

   1. search the database for possible CD matches;
   2. retrieve detailed information about a specific CD;
   3. submit new CD entries to the database.

Libcddb supports both the custom CDDB protocol and tunnelling the query and read operations over plain HTTP. It is also possible to use an HTTP proxy server. If you want to speed things up, you can make use of the built-in caching facility provided by the library. 

%package devel
Summary:	%{name} header files and development documentation
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for %{name}


%prep
#'
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# remove libtool la
rm -rf %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc 
%{_bindir}/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*

%changelog
* Wed Dec 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (1.3.0-1m)
- initial packaging for Momonga
